## rpicam-apps 1.7.0

=== meson_options.txt ===
option('enable_libav',
        type : 'feature',
        value : 'auto',
        description : 'Enable the libav encoder for video/audio capture')

option('enable_drm',
        type : 'feature',
        value : 'auto',
        description : 'Enable DRM preview window support')

option('enable_egl',
        type : 'feature',
        value : 'auto',
        description : 'Enable EGL preview window support')

option('enable_qt',
        type : 'feature',
        value : 'auto',
        description : 'Enable QT preview window support')

option('enable_opencv',
        type : 'feature',
        value : 'disabled',
        description : 'Enable OpenCV postprocessing support')

option('enable_tflite',
        type : 'feature',
        value : 'disabled',
        description : 'Enable Tensorflow Lite postprocessing support')

option('neon_flags',
        type : 'combo',
        choices: ['arm64', 'armv8-neon', 'auto'],
        value : 'auto',
        description : 'User selectable arm-neon optimisation flags')

option('enable_hailo',
        type : 'feature',
        value : 'auto',
        description : 'Enable Hailo postprocessing support')

option('download_hailo_models',
        type : 'boolean',
        value : true,
        description : 'Download and install the Hailo postprocessing models')

option('enable_imx500',
        type : 'boolean',
        value : false,
        description : 'Enable IMX500 postprocessing support')

option('download_imx500_models',
        type : 'boolean',
        value : false,
        description : 'Download and install the IMX500 postprocessing models')

## rpicam-apps 1.5.3

=== debian/changelog ===
rpicam-apps (1.5.3-1ubuntu1) plucky; urgency=medium

  * Initial upload to Ubuntu (LP: #2020101)
  * Remove postprocessing and hailo packages as they are not supported by
    libcamera in Ubuntu yet
  * d/control: Disable building the following packages:
    - rpicam-apps-hailo-postprocess
    - rpicam-apps-imx500-postprocess
    - imx500-models
    - imx500-all
  * d/control: Drop the following build dependencies:
    - libopencv-dev
    - hailort
    - hailo-tappas-core
  * d/control: Fix the following build dependencies:
    - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
    - pkg-config -> pkgconf
    - debhelper 11 -> debhelper-compat 13
    - Bump Standards-Version
    - Remove unnecessary transitional packages:
      + libcamera-apps
      + libcamera-apps-lite
  * d/rules: Remove support for hailo and imx500
    postprocessing
    - Disable enable_opencv, enable_imx500 and
      enable_hailo
    - Remove hailo and postprocessing related install
      overrides in override_dh_auto_install
  * d/copyright: Fix copyrights
  * Remove d/compat
  * d/p/0001-fix-libav-deprecated.patch: Fix deprecated
    struct field access (sample_fmts) in
    encoder/libav_encoder.cpp

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 01 Apr 2025 17:32:16 +0530

rpicam-apps (1.5.3-1) bookworm; urgency=medium

  * d/watch: update to new filename format
  * New upstream version 1.5.3
  * Update hailo-tappas-core version
  * Add imx500-tools to imx500-all

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 13 Nov 2024 14:26:32 +0000

rpicam-apps (1.5.2-2) bookworm; urgency=medium

  * Add imx500 support to armhf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 03 Oct 2024 23:30:31 +0100

rpicam-apps (1.5.2-1) bookworm; urgency=medium

  * New upstream version 1.5.2
  * d/gbp.conf: Add imx500-models component
  * Add rpicam-apps-imx500-postprocess and imx500-models packages
  * Add imx500-all
  * Move rpi-assets json files to postprocess packages
  * Pass --ignore-missing-info to dpkg-shlibdeps

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 28 Sep 2024 14:59:15 +0100

rpicam-apps (1.5.1-1) bookworm; urgency=medium

  * Update to hailo-tappas-core 3.29.1
  * New upstream version 1.5.1

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Sep 2024 15:06:19 +0100

rpicam-apps (1.5.0-2) bookworm; urgency=medium

  * Rebuild with libcamera 0.3 release

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jun 2024 12:47:17 +0100

rpicam-apps (1.5.0-1) bookworm; urgency=medium

  * New upstream version 1.5.0
  * d/rules: switch from true/false to enabled/disabled
  * Enable OpenCV postprocessing in full build
  * Enable Hailo support
  * d/rules: fix clean target

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 31 May 2024 11:29:14 +0100

rpicam-apps (1.4.4-1) bookworm; urgency=medium

  * New upstream version 1.4.4

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 14:33:06 +0100

rpicam-apps (1.4.3-1) bookworm; urgency=medium

  * New upstream version 1.4.3

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 17:14:20 +0000

rpicam-apps (1.4.2-1) bookworm; urgency=medium

  * New upstream version 1.4.2
  * d/w: fix match pattern

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Jan 2024 13:23:20 +0000

rpicam-apps (1.4.1-1) bookworm; urgency=medium

  * New upstream version 1.4.1
  * Rename package to rpicam-apps
  * d/c: add python3 dependency for camera-bug-report
  * d/watch: Use the Raspberry Pi Github releases
  * Remove ldconfig triggers

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Nov 2023 15:35:54 +0000

libcamera-apps (1.2.2-1) bookworm; urgency=medium

  * New upstream version 1.2.2

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 13:32:26 +0100

libcamera-apps (1.2.1-1) bullseye; urgency=medium

  * New upstream version 1.2.1
  * Switch to Meson

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jul 2023 08:21:25 +0100

libcamera-apps (0~git20230301+54a781d-1) bullseye; urgency=medium

  * New upstream version 0~git20230301+54a781d

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Mar 2023 15:55:49 +0000

libcamera-apps (0~git20230125+9f08463-1) bullseye; urgency=medium

  * New upstream version 0~git20230125+9f08463

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Jan 2023 16:18:56 +0000

libcamera-apps (0~git20230124+77a03d9-1) bullseye; urgency=medium

  * New upstream version 0~git20230124+77a03d9

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jan 2023 15:28:23 +0000

libcamera-apps (0~git20230104+4fea2ee-1) bullseye; urgency=medium

  * New upstream version 0~git20230104+4fea2ee

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 01:41:00 +0000

libcamera-apps (0~git20221201+9c5d319-1) bullseye; urgency=medium

  * New upstream version 0~git20221201+9c5d319

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 02 Dec 2022 19:46:52 +0000

libcamera-apps (0~git20221109+73ab09f-1) bullseye; urgency=medium

  * New upstream version 0~git20221109+73ab09f

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 09 Nov 2022 14:19:35 +0000

libcamera-apps (0~git20221018+b89cc36-2) bullseye; urgency=medium

  * Rebuild against a newer version of libcamera

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Oct 2022 13:58:46 +0100

libcamera-apps (0~git20221018+b89cc36-1) bullseye; urgency=medium

  * New upstream version 0~git20221018+b89cc36

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 18 Oct 2022 13:28:07 +0100

libcamera-apps (0~git20220830+1bf0cca-1) bullseye; urgency=medium

  * New upstream version 0~git20220830+1bf0cca

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 31 Aug 2022 16:51:41 +0100

libcamera-apps (0~git20220707+35266e8-1) bullseye; urgency=medium

  * New upstream version 0~git20220707+35266e8
  * Build libcamera-apps-lite without libav support

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Jul 2022 18:47:37 +0100



=== debian/control ===
Source: rpicam-apps
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13),
 meson,
 pkgconf,
 python3,
 libboost-dev,
 libboost-program-options-dev,
 libcamera-dev,
 libdrm-dev,
 libepoxy-dev,
 libexif-dev,
 libjpeg-turbo8-dev,
 libpng-dev,
 libtiff-dev,
 libx11-dev,
 qtbase5-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavformat-dev,
 libswresample-dev
Standards-Version: 4.7.1
Homepage: https://github.com/raspberrypi/rpicam-apps/

Package: rpicam-apps
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Conflicts: rpicam-apps-lite
Replaces: rpicam-apps-lite
Description: Drive cameras on the Raspberry Pi with friendly utilities
 Small suite of libcamera-based apps that aim to copy the functionality of the
 existing "raspicam" apps

Package: rpicam-apps-lite
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Conflicts: rpicam-apps
Replaces: rpicam-apps
Description: Drive cameras on the Raspberry Pi with friendly console utilities
 Small suite of libcamera-based apps that aim to copy the functionality of the
 existing "raspicam" apps. This version excludes features which require X11 and
 Qt

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

CONFIG_COMMON := -Denable_opencv=disabled -Denable_tflite=disabled -Ddownload_hailo_models=false -Ddownload_imx500_models=false
CONFIG_FULL := -Denable_libav=enabled -Denable_drm=enabled -Denable_egl=enabled -Denable_qt=enabled -Denable_imx500=false
CONFIG_LITE := -Denable_egl=disabled -Denable_qt=disabled -Denable_libav=disabled -Denable_imx500=false

POSTPROC_PATH := usr/lib/$(DEB_HOST_MULTIARCH)/rpicam-apps-postproc

# Disable IMX500 and Hailo models
# Their install files are still present in debian/ if they are ported to Ubuntu someday
CONFIG_COMMON += -Denable_imx500=false -Denable_hailo=disabled

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build_lite -- $(CONFIG_COMMON) $(CONFIG_LITE)
	dh_auto_configure -- $(CONFIG_COMMON) $(CONFIG_FULL)

override_dh_auto_build:
	dh_auto_build --builddirectory=build_lite
	dh_auto_build

override_dh_auto_test:
	dh_auto_test --builddirectory=build_lite
	dh_auto_test

override_dh_auto_install:
	dh_auto_install --builddirectory=build_lite --destdir=debian/rpicam-apps-lite/
	dh_auto_install --destdir=debian/rpicam-apps/

override_dh_clean:
	dh_clean
	dh_clean build_lite/

# Hailo's packages are broken, so work around their limitations until they're fixed.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## rpicam-apps 1.7.0

=== debian/changelog ===
rpicam-apps (1.7.0-1ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:41 +0200

rpicam-apps (1.7.0-1ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:16 +0200

rpicam-apps (1.7.0-1ubuntu1) questing; urgency=medium

  * Merge with v1.7.0, Fix FTBFS with licamera0.5 (LP: #2109901)
    Remaining changes:
    - Update d/copyright
    - d/control: Disable building the following packages:
      + imx500-models: dependency imx500-firmware not in Ubuntu.
      + rpicam-apps-imx500-postprocess: dependency imx500-models not in Ubuntu.
      + rpicam-apps-hailo-postprocess: dependency hailort not in Ubuntu.
      + imx500-all: dependency rpicam-apps-imx500-postprocess not in Ubuntu.
      + libcamera-apps: unnecessary transitional package
      + libcamera-apps-lite: unnecessary transitional package
    - d/control:
      + Drop the following Build-Depends:
        - hailort
        - hailo-tappas-core
      + Fix the following Build-Depends:
        - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
        - pkg-config -> pkgconf
        - debhelper 11 -> debhelper-compat 13
    - d/*.lintian-overrides: Suppress no-manual-page lintian warnings
    - Remove d/compat
  * Drop Changes:
    - d/p/0001-fix-libav-deprecated.patch: Fix deprecated struct field access
      (sample_fmts) in encoder/libav_encoder.cpp
      [Fixed in 1.7.0]
  * Added Changes:
    - Bump Standards-Version to 4.7.2
    - d/rules, d/control:
      + Allow IMX500 postprocessing and enable_opencv in CONFIG_FULL
      + Add libopencv-dev to Build-Depends in d/control
      + Remove Hailo postprocessing installation rules

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 20 Jun 2025 12:37:46 +0530

rpicam-apps (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Apr 2025 12:39:28 +0100

rpicam-apps (1.6.0-2) unstable; urgency=medium

  * Relax hailo version requirement

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Feb 2025 16:18:22 +0000

rpicam-apps (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Update hailo-tappas-core version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 Jan 2025 22:40:43 +0000

rpicam-apps (1.5.3-1ubuntu2) questing; urgency=medium

  * Rebuild against latest libcamera

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:55:19 -0400

rpicam-apps (1.5.3-1) unstable; urgency=medium

  * d/watch: update to new filename format
  * New upstream version 1.5.3
  * Update hailo-tappas-core version
  * Add imx500-tools to imx500-all

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 13 Nov 2024 14:26:32 +0000

rpicam-apps (1.5.2-2) unstable; urgency=medium

  * Add imx500 support to armhf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 03 Oct 2024 23:30:31 +0100

rpicam-apps (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/gbp.conf: Add imx500-models component
  * Add rpicam-apps-imx500-postprocess and imx500-models packages
  * Add imx500-all
  * Move rpi-assets json files to postprocess packages
  * Pass --ignore-missing-info to dpkg-shlibdeps

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 28 Sep 2024 14:59:15 +0100

rpicam-apps (1.5.1-1) unstable; urgency=medium

  * Update to hailo-tappas-core 3.29.1
  * New upstream version 1.5.1

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Sep 2024 15:06:19 +0100

rpicam-apps (1.5.0-2) unstable; urgency=medium

  * Rebuild with libcamera 0.3 release

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jun 2024 12:47:17 +0100

rpicam-apps (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/rules: switch from true/false to enabled/disabled
  * Enable OpenCV postprocessing in full build
  * Enable Hailo support
  * d/rules: fix clean target

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 31 May 2024 11:29:14 +0100

rpicam-apps (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 14:33:06 +0100

rpicam-apps (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 17:14:20 +0000

rpicam-apps (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * d/w: fix match pattern

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Jan 2024 13:23:20 +0000

rpicam-apps (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Rename package to rpicam-apps
  * d/c: add python3 dependency for camera-bug-report
  * d/watch: Use the Raspberry Pi Github releases
  * Remove ldconfig triggers

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Nov 2023 15:35:54 +0000

libcamera-apps (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 13:32:26 +0100

libcamera-apps (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Switch to Meson

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jul 2023 08:21:25 +0100

libcamera-apps (0~git20230301+54a781d-1) unstable; urgency=medium

  * New upstream version 0~git20230301+54a781d

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Mar 2023 15:55:49 +0000

libcamera-apps (0~git20230125+9f08463-1) unstable; urgency=medium

  * New upstream version 0~git20230125+9f08463

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Jan 2023 16:18:56 +0000

libcamera-apps (0~git20230124+77a03d9-1) unstable; urgency=medium

  * New upstream version 0~git20230124+77a03d9

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jan 2023 15:28:23 +0000

libcamera-apps (0~git20230104+4fea2ee-1) unstable; urgency=medium

  * New upstream version 0~git20230104+4fea2ee

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 01:41:00 +0000



=== debian/control ===
--- 
+++ 
@@ -21,8 +21,9 @@
  libavcodec-dev,
  libavdevice-dev,
  libavformat-dev,
- libswresample-dev
-Standards-Version: 4.7.1
+ libswresample-dev,
+ libopencv-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/raspberrypi/rpicam-apps/
 
 Package: rpicam-apps

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,14 @@
 #export DH_VERBOSE = 1
 
 CONFIG_COMMON := -Denable_opencv=disabled -Denable_tflite=disabled -Ddownload_hailo_models=false -Ddownload_imx500_models=false
-CONFIG_FULL := -Denable_libav=enabled -Denable_drm=enabled -Denable_egl=enabled -Denable_qt=enabled -Denable_imx500=false
-CONFIG_LITE := -Denable_egl=disabled -Denable_qt=disabled -Denable_libav=disabled -Denable_imx500=false
+CONFIG_FULL := -Denable_libav=enabled -Denable_drm=enabled -Denable_egl=enabled -Denable_qt=enabled -Denable_opencv=enabled -Denable_imx500=true
+CONFIG_LITE := -Denable_egl=disabled -Denable_qt=disabled -Denable_libav=disabled -Denable_opencv=disabled -Denable_imx500=false
 
 POSTPROC_PATH := usr/lib/$(DEB_HOST_MULTIARCH)/rpicam-apps-postproc
 
 # Disable IMX500 and Hailo models
 # Their install files are still present in debian/ if they are ported to Ubuntu someday
-CONFIG_COMMON += -Denable_imx500=false -Denable_hailo=disabled
+CONFIG_COMMON += -Denable_hailo=disabled
 
 %:
 	dh $@ --buildsystem=meson
@@ -29,6 +29,12 @@
 override_dh_auto_install:
 	dh_auto_install --builddirectory=build_lite --destdir=debian/rpicam-apps-lite/
 	dh_auto_install --destdir=debian/rpicam-apps/
+ifeq ($(DEB_HOST_ARCH),arm64)
+	mkdir -p debian/rpicam-apps-imx500-postprocess/$(POSTPROC_PATH)/
+	mkdir -p debian/rpicam-apps-imx500-postprocess/usr/share/rpi-camera-assets/
+	mv debian/rpicam-apps/$(POSTPROC_PATH)/imx500-postproc.so debian/rpicam-apps-imx500-postprocess/$(POSTPROC_PATH)/
+	mv debian/rpicam-apps/usr/share/rpi-camera-assets/imx500_*.json debian/rpicam-apps-imx500-postprocess/usr/share/rpi-camera-assets/
+endif
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=4
opts="searchmode=plain,\
uversionmangle=s/%2B/+/g" \
https://api.github.com/repos/raspberrypi/@PACKAGE@/releases?per_page=50 \
https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/@PACKAGE@_([^"]+)\.orig\.tar\.xz

opts="searchmode=plain,\
uversionmangle=s/%2B/+/g, \
component=hailo-models" \
https://api.github.com/repos/raspberrypi/@PACKAGE@/releases?per_page=50 \
https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/rpicam-apps_([^"]+)\.orig-hailo-models\.tar\.xz

opts="searchmode=plain,\
uversionmangle=s/%2B/+/g, \
component=imx500-models" \
https://api.github.com/repos/raspberrypi/@PACKAGE@/releases?per_page=50 \
https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/rpicam-apps_([^"]+)\.orig-imx500-models\.tar\.xz

## rpicam-apps 1.9.0

=== debian/changelog ===
rpicam-apps (1.9.0-1) trixie; urgency=medium

  * New upstream version 1.9.0
  * d/: Add salsa-ci.yml
  * postprocess: object_detect_udp: Fix compiler warnings and styling

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 09 Sep 2025 14:59:25 +0100

rpicam-apps (1.8.1-1) trixie; urgency=medium

  * Trixie changes
  * Temporarily disable Hailo support

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 22 Jul 2025 13:18:51 +0100

rpicam-apps (1.8.1-1~bookworm) bookworm; urgency=medium

  * New upstream version 1.8.1
  * Bump compat level to 13
  * Update package descriptions
  * Add no-manual-page lintian overrides
  * Fix imx500-all dependencies
  * Split rpicam-apps into core applications, library and plugins
  * Replace rpicam-apps-lite with rpicam-apps-core

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 21 Jul 2025 12:27:21 +0100

rpicam-apps (1.7.0-1) bookworm; urgency=medium

  * New upstream version 1.7.0

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Apr 2025 12:39:28 +0100

rpicam-apps (1.6.0-2) bookworm; urgency=medium

  * Relax hailo version requirement

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Feb 2025 16:18:22 +0000

rpicam-apps (1.6.0-1) bookworm; urgency=medium

  * New upstream version 1.6.0
  * Update hailo-tappas-core version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 Jan 2025 22:40:43 +0000

=== debian/control ===
Source: rpicam-apps
Section: video
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13),
 meson,
 pkgconf,
 python3,
 libboost-dev,
 libboost-program-options-dev,
 libcamera-dev,
 libdrm-dev,
 libepoxy-dev,
 libexif-dev,
 libjpeg62-turbo-dev,
 libpng-dev,
 libtiff-dev,
 libx11-dev,
 qtbase5-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavformat-dev,
 libopencv-dev,
# hailort [arm64],
# hailo-tappas-core (>= 3.31.0) [arm64],
 libswresample-dev
Standards-Version: 4.1.3
Homepage: https://github.com/raspberrypi/rpicam-apps/

Package: rpicam-apps
Architecture: all
Depends:
 ${misc:Depends},
 rpicam-apps-core (>= ${source:Version}),
 rpicam-apps-encoder (>= ${source:Version}),
 rpicam-apps-opencv-postprocess (>= ${source:Version}),
 rpicam-apps-preview (>= ${source:Version}),
Description: Camera based applications for Raspberry Pi using the libcamera framework
 rpicam-apps is a suite of official command-line camera applications developed
 for Raspberry Pi, built on the libcamera framework. Tools like rpicam-still,
 rpicam-vid, and rpicam-preview enable high-quality image and video capture with
 official and 3rd party camera modules. The apps support a variety of controls
 and advanced features for flexible imaging use cases.
 .
 This is a metapackage that installs the core rpicam-apps applications as well
 as the preview, opencv and encoder plugins.

Package: rpicam-apps-core
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Conflicts: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm)
Replaces: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm), libcamera-apps (<< 1.4.1-1~)
Breaks: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm), libcamera-apps (<< 1.4.1-1~)
Description: Camera based applications for Raspberry Pi using the libcamera framework
 rpicam-apps is a suite of official command-line camera applications developed
 for Raspberry Pi, built on the libcamera framework. Tools like rpicam-still,
 rpicam-vid, and rpicam-preview enable high-quality image and video capture with
 official and 3rd party camera modules. The apps support a variety of controls
 and advanced features for flexible imaging use cases.
 .
 This is a metapackage that installs the core rpicam-apps applications.

Package: librpicam-app1
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the shared library.

Package: librpicam-app-dev
Section: libdevel
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}, librpicam-app1 (= ${binary:Version})
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the development files.

Package: rpicam-apps-encoder
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the encoder plugin.

Package: rpicam-apps-preview
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the preview plugins.

Package: rpicam-apps-opencv-postprocess
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the opencv plugin.

#Package: rpicam-apps-hailo-postprocess
#Architecture: arm64
#Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, hailort,
# hailo-tappas-core (>= 3.31.0),
#Description: Raspberry Pi AI HAT+ post-processing plugin for rpicam-apps
# This package provides a post-processing module for rpicam-apps that integrates
# with the Raspberry Pi AI HAT+ incorporating the Hailo AI accelerator. It
# enables real-time CV inference (e.g., object detection) on frames captured by
# the rpicam-apps framework.

Package: rpicam-apps-imx500-postprocess
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, imx500-models (= ${source:Version})
Description: IMX500 AI metadata plugin for rpicam-apps
 This package provides a post-processing module for rpicam-apps that integrates
 with the Raspberry Pi AI Camera (Sony IMX500). It enables real-time CV
 inference (e.g., object detection) on frames captured by the rpicam-apps
 framework.

Package: imx500-models
Architecture: all
Depends: ${misc:Depends}, imx500-firmware
Description: Pretrained AI models for the Raspberry Pi AI Camera (Sony IMX500)
 This package includes a set of AI models optimized to run on the Raspberry Pi
 AI Camera. The models support use cases such as object detection, pose
 estimation, and object segmentation.

Package: imx500-all
Architecture: all
Depends: ${misc:Depends}, rpicam-apps-imx500-postprocess (>= ${source:Version}), imx500-tools
Description: Full software stack for the Raspberry Pi AI Camera support (metapackage)
 imx500-all is a meta-package that installs all required software to enable and
 use the Raspberry Pi AI Camera. It includes device firmware, pretrained models,
 neural network deployment tools, and rpicam-apps post-processing modules and
 assets.

Package: rpicam-apps-lite
Architecture: all
Priority: optional
Section: oldlibs
Depends: rpicam-apps-core, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libcamera-apps
Architecture: all
Priority: optional
Section: oldlibs
Depends: rpicam-apps, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libcamera-apps-lite
Architecture: all
Priority: optional
Section: oldlibs
Depends: rpicam-apps-core, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

CONFIG := -Ddownload_hailo_models=false \
	  -Ddownload_imx500_models=false \
	  -Denable_drm=enabled \
	  -Denable_egl=enabled \
	  -Denable_libav=enabled \
	  -Denable_opencv=enabled \
	  -Denable_qt=enabled \
	  -Denable_tflite=disabled \
	  -Denable_imx500=true

#ifeq ($(DEB_HOST_ARCH),arm64)
ifdef HAILO
	CONFIG += -Denable_hailo=enabled

# Hailo's packages are broken, so work around their limitations until they're fixed.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
else
	CONFIG += -Denable_hailo=disabled
endif

%:
	dh $@

execute_after_dh_install:
	rm -f $(addsuffix _*.json, $(addprefix debian/rpicam-apps-core/usr/share/rpi-camera-assets/,hailo imx500))
	rm -f debian/rpicam-apps-preview/usr/lib/*/rpicam-apps-preview/drm-preview.so

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG)

## rpicam-apps 1.9.1

=== debian/changelog ===
rpicam-apps (1.9.1-1) trixie; urgency=medium

  * New upstream version 1.9.1
  * Remove merged patch
  * Update gbp.conf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Oct 2025 14:07:39 +0100

## rpicam-apps 1.10.0

=== debian/changelog ===
rpicam-apps (1.10.0-1) trixie; urgency=medium

  [ Naushir Patuck ]
  * postprocess: object_detect_udp_stage: Fix compiler warnings
  * core: Switch libcamera string controls to use std::string_view
  * postprocess: hailo: Updates for Hailo support on Trixie
  * build: Update release version to v1.10.0

  [ Serge Schneider ]
  * Re-enable Hailo support

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Nov 2025 10:56:04 +0000

## rpicam-apps 1.10.1

=== meson_options.txt ===
--- 
+++ 
@@ -53,3 +53,8 @@
         type : 'boolean',
         value : false,
         description : 'Download and install the IMX500 postprocessing models')
+
+option('disable_rpi_features',
+        type : 'boolean',
+        value : false,
+        description : 'Disable use Raspberry Pi specific extensions in the build')

=== debian/changelog ===
rpicam-apps (1.10.1-1) trixie; urgency=medium

  [ David Plowman ]
  * Fix help message for --zsl option

  [ Naushir Patuck ]
  * build: Update release to v1.10.1

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 28 Nov 2025 16:40:26 +0000

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  libavdevice-dev,
  libavformat-dev,
  libopencv-dev,
-# hailort [arm64],
-# hailo-tappas-core (>= 3.31.0) [arm64],
+ hailort (>= 4.23.0) [arm64],
+ hailo-tappas-core (>= 5.1.0) [arm64],
  libswresample-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/raspberrypi/rpicam-apps/
@@ -120,15 +120,15 @@
  .
  This package contains the opencv plugin.
 
-#Package: rpicam-apps-hailo-postprocess
-#Architecture: arm64
-#Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, hailort,
-# hailo-tappas-core (>= 3.31.0),
-#Description: Raspberry Pi AI HAT+ post-processing plugin for rpicam-apps
-# This package provides a post-processing module for rpicam-apps that integrates
-# with the Raspberry Pi AI HAT+ incorporating the Hailo AI accelerator. It
-# enables real-time CV inference (e.g., object detection) on frames captured by
-# the rpicam-apps framework.
+Package: rpicam-apps-hailo-postprocess
+Architecture: arm64
+Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, hailort (>= 4.23.0),
+ hailo-tappas-core (>= 5.1.0),
+Description: Raspberry Pi AI HAT+ post-processing plugin for rpicam-apps
+ This package provides a post-processing module for rpicam-apps that integrates
+ with the Raspberry Pi AI HAT+ incorporating the Hailo AI accelerator. It
+ enables real-time CV inference (e.g., object detection) on frames captured by
+ the rpicam-apps framework.
 
 Package: rpicam-apps-imx500-postprocess
 Architecture: armhf arm64

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 	  -Denable_tflite=disabled \
 	  -Denable_imx500=true
 
-#ifeq ($(DEB_HOST_ARCH),arm64)
-ifdef HAILO
+ifeq ($(DEB_HOST_ARCH),arm64)
 	CONFIG += -Denable_hailo=enabled
 
 # Hailo's packages are broken, so work around their limitations until they're fixed.

## rpicam-apps 1.11.0

=== debian/changelog ===
rpicam-apps (1.11.0-1) trixie; urgency=medium

  [ Kletternaut ]
  * apps: Fix rpicam-jpeg --metadata option

  [ Naushir Patuck ]
  * dng: Add support for mono formats
  * build: Remove NN model downloads
  * core: Allow custom floags for dlopen
  * postpocess: hailo: Add initial Hailo H10 support
  * postprocess: hailo: Rework Hailo device architecture identification
  * build: Update relase to v1.11.0

  [ Serge Schneider ]
  * Split models intro separate source packages
  * Add H10 dependencies

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Dec 2025 13:45:58 +0000

## rpicam-apps 1.11.1

=== meson_options.txt ===
--- 
+++ 
@@ -39,21 +39,11 @@
         value : 'auto',
         description : 'Enable Hailo postprocessing support')
 
-option('download_hailo_models',
-        type : 'boolean',
-        value : true,
-        description : 'Download and install the Hailo postprocessing models')
-
 option('enable_imx500',
         type : 'boolean',
         value : false,
         description : 'Enable IMX500 postprocessing support')
 
-option('download_imx500_models',
-        type : 'boolean',
-        value : false,
-        description : 'Download and install the IMX500 postprocessing models')
-
 option('disable_rpi_features',
         type : 'boolean',
         value : false,

=== debian/changelog ===
rpicam-apps (1.11.1-1ubuntu1) resolute; urgency=medium

  [ Pragyansh Chaturvedi ]
  * Merge upstream v1.11.1 (LP: #2142435, LP: #2141307). Remaining changes:
    - Update d/copyright
    - d/control: Disable building the following packages:
      + imx500-models: dependency imx500-firmware not in Ubuntu.
      + rpicam-apps-imx500-postprocess: dependency imx500-models not in Ubuntu.
      + rpicam-apps-hailo-postprocess: dependency hailort not in Ubuntu.
      + imx500-all: dependency rpicam-apps-imx500-postprocess not in Ubuntu.
      + libcamera-apps: unnecessary transitional package
      + libcamera-apps-lite: unnecessary transitional package
    - d/control:
      + Drop the following Build-Depends:
        - hailort
        - hailo-tappas-core
      + Fix the following Build-Depends:
        - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
        - pkg-config -> pkgconf
        - debhelper 11 -> debhelper-compat 13
    - d/*.lintian-overrides: Suppress no-manual-page lintian warnings
    - Remove d/compat
    - d/rules, d/control:
      + Allow IMX500 postprocessing and enable_opencv in CONFIG_FULL
      + Add libopencv-dev to Build-Depends in d/control
      + Remove Hailo postprocessing installation rules
  * Dropped changes merged upstream:
    - d/p/0001-fix-deprecated-FF_API_FF_PROFILE_LEVEL.patch: Fix deprecated
      FF_API_FF_PROFILE_LEVEL usage in encoder/libav_encoder.cpp
  * Added Changes:
    - d/rules:
      + Remove download_hailo_models and download_imx500_models options
      + Fix install paths
      + Allow imx500 to install on armhf
    - d/p/0001-fix-versioning.patch: Make try-except in utils/version.py
      broader
    - d/control: Remove binary package:
      + rpicam-apps-lite: unnecessary transitional package
    - d/control: Add binary packages:
      + rpicam-apps-core
      + rpicam-apps-opencv-postprocess
      + rpicam-apps-preview
      + rpicam-apps-encoder
      + librpicam-app-dev
      + librpicam-app1
    - Add d/*.install files for new binaries

  [ Dave Jones ]
  * d/watch: Disable download of hailo and imx500 components

 -- Dave Jones <dave.jones@canonical.com>  Tue, 03 Mar 2026 22:04:06 +0000

rpicam-apps (1.11.1-1) trixie; urgency=medium

  [ David Plowman ]
  * Check correctly for protocols that handle their own files
  * Improve software sync when frames are missing sync metadata

  [ Kletternaut ]
  * post_processing: Add object_blur stage for privacy-focused live
    blurring

  [ Naushir Patuck ]
  * build: Supress C11 extension errors in clang builds
  * core: Don't overwrite request controls
  * build: Update relase to v1.11.1

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 02 Feb 2026 18:47:33 +0000

rpicam-apps (1.7.0-1ubuntu6) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:22:36 +0100

rpicam-apps (1.7.0-1ubuntu5) resolute; urgency=medium

  * d/p/0001-fix-deprecated-FF_API_FF_PROFILE_LEVEL.patch: Fix deprecated
    FF_API_FF_PROFILE_LEVEL usage in encoder/libav_encoder.cpp (LP: #2137350)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 06 Jan 2026 14:58:38 +0530

rpicam-apps (1.7.0-1ubuntu4) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Wed, 31 Dec 2025 22:17:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rpicam-apps
 Section: video
 Priority: optional
-Maintainer: Serge Schneider <serge@raspberrypi.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkgconf,
@@ -12,7 +13,7 @@
  libdrm-dev,
  libepoxy-dev,
  libexif-dev,
- libjpeg62-turbo-dev,
+ libjpeg-turbo8-dev,
  libpng-dev,
  libtiff-dev,
  libx11-dev,
@@ -20,11 +21,9 @@
  libavcodec-dev,
  libavdevice-dev,
  libavformat-dev,
- libopencv-dev,
- hailort (>= 4.23.0) [arm64],
- hailo-tappas-core (>= 5.1.0) [arm64],
- libswresample-dev
-Standards-Version: 4.1.3
+ libswresample-dev,
+ libopencv-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/raspberrypi/rpicam-apps/
 
 Package: rpicam-apps
@@ -48,9 +47,6 @@
 Package: rpicam-apps-core
 Architecture: armhf arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
-Conflicts: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm)
-Replaces: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm), libcamera-apps (<< 1.4.1-1~)
-Breaks: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm), libcamera-apps (<< 1.4.1-1~)
 Description: Camera based applications for Raspberry Pi using the libcamera framework
  rpicam-apps is a suite of official command-line camera applications developed
  for Raspberry Pi, built on the libcamera framework. Tools like rpicam-still,
@@ -119,63 +115,3 @@
  library.
  .
  This package contains the opencv plugin.
-
-Package: rpicam-apps-hailo-postprocess
-Architecture: arm64
-Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, hailort (>= 4.23.0),
- hailo-tappas-core (>= 5.1.0),
-Description: Raspberry Pi AI HAT+ post-processing plugin for rpicam-apps
- This package provides a post-processing module for rpicam-apps that integrates
- with the Raspberry Pi AI HAT+ incorporating the Hailo AI accelerator. It
- enables real-time CV inference (e.g., object detection) on frames captured by
- the rpicam-apps framework.
-
-Package: rpicam-apps-imx500-postprocess
-Architecture: armhf arm64
-Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, imx500-models (= ${source:Version})
-Description: IMX500 AI metadata plugin for rpicam-apps
- This package provides a post-processing module for rpicam-apps that integrates
- with the Raspberry Pi AI Camera (Sony IMX500). It enables real-time CV
- inference (e.g., object detection) on frames captured by the rpicam-apps
- framework.
-
-Package: imx500-models
-Architecture: all
-Depends: ${misc:Depends}, imx500-firmware
-Description: Pretrained AI models for the Raspberry Pi AI Camera (Sony IMX500)
- This package includes a set of AI models optimized to run on the Raspberry Pi
- AI Camera. The models support use cases such as object detection, pose
- estimation, and object segmentation.
-
-Package: imx500-all
-Architecture: all
-Depends: ${misc:Depends}, rpicam-apps-imx500-postprocess (>= ${source:Version}), imx500-tools
-Description: Full software stack for the Raspberry Pi AI Camera support (metapackage)
- imx500-all is a meta-package that installs all required software to enable and
- use the Raspberry Pi AI Camera. It includes device firmware, pretrained models,
- neural network deployment tools, and rpicam-apps post-processing modules and
- assets.
-
-Package: rpicam-apps-lite
-Architecture: all
-Priority: optional
-Section: oldlibs
-Depends: rpicam-apps-core, ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: libcamera-apps
-Architecture: all
-Priority: optional
-Section: oldlibs
-Depends: rpicam-apps, ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: libcamera-apps-lite
-Architecture: all
-Priority: optional
-Section: oldlibs
-Depends: rpicam-apps-core, ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

CONFIG_COMMON := -Denable_opencv=disabled -Denable_tflite=disabled
CONFIG_FULL := -Denable_libav=enabled -Denable_drm=enabled -Denable_egl=enabled -Denable_qt=enabled -Denable_opencv=enabled -Denable_imx500=true
CONFIG_LITE := -Denable_egl=disabled -Denable_qt=disabled -Denable_libav=disabled -Denable_opencv=disabled -Denable_imx500=false

POSTPROC_PATH := usr/lib/$(DEB_HOST_MULTIARCH)/rpicam-apps-postproc
IMX500_ARCHES := arm64 armhf

# Disable IMX500 and Hailo models
# Their install files are still present in debian/ if they are ported to Ubuntu someday
CONFIG_COMMON += -Denable_hailo=disabled

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build_lite -- $(CONFIG_COMMON) $(CONFIG_LITE)
	dh_auto_configure -- $(CONFIG_COMMON) $(CONFIG_FULL)

override_dh_auto_build:
	dh_auto_build --builddirectory=build_lite
	dh_auto_build

override_dh_auto_test:
	dh_auto_test --builddirectory=build_lite
	dh_auto_test

override_dh_auto_install:
	dh_auto_install --builddirectory=build_lite --destdir=debian/rpicam-apps-lite/
	dh_auto_install --destdir=debian/tmp/
ifneq (,$(filter $(IMX500_ARCHES),$(DEB_HOST_ARCH)))
	mkdir -p debian/rpicam-apps-imx500-postprocess/$(POSTPROC_PATH)/
	mkdir -p debian/rpicam-apps-imx500-postprocess/usr/share/rpi-camera-assets/
	mv debian/tmp/$(POSTPROC_PATH)/imx500-postproc.so debian/rpicam-apps-imx500-postprocess/$(POSTPROC_PATH)/
	mv debian/tmp/usr/share/rpi-camera-assets/imx500_*.json debian/rpicam-apps-imx500-postprocess/usr/share/rpi-camera-assets/
endif

override_dh_clean:
	dh_clean
	dh_clean build_lite/

# Hailo's packages are broken, so work around their limitations until they're fixed.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

=== debian/watch ===
version=4
opts="searchmode=plain,\
uversionmangle=s/%2B/+/g" \
https://api.github.com/repos/raspberrypi/@PACKAGE@/releases?per_page=50 \
https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/@PACKAGE@_([^"]+)\.orig\.tar\.xz

# Disable the components we cannot re-distribute
#opts="searchmode=plain,\
#uversionmangle=s/%2B/+/g, \
#component=hailo-models" \
#https://api.github.com/repos/raspberrypi/@PACKAGE@/releases?per_page=50 \
#https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/rpicam-apps_([^"]+)\.orig-hailo-models\.tar\.xz
#
#opts="searchmode=plain,\
#uversionmangle=s/%2B/+/g, \
#component=imx500-models" \
#https://api.github.com/repos/raspberrypi/@PACKAGE@/releases?per_page=50 \
#https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/rpicam-apps_([^"]+)\.orig-imx500-models\.tar\.xz
